/***************************************************************************
                               sysconfigfile.h
                             -------------------                                         
    begin                : Thu Nov 11 1999                                           
    copyright            : (C) 2000 SOT Finnish Software Engineering Ltd. 
    author		           : Anton Safonov (Maddy)
    author email         : as@bestlinux.net                                          
    url			             : http://www.bestlinux.net
    email		             : linux@bestlinux.net

	       	      Best Linux - Linux from Finland.                      
                            http://bestlinux.net                            

 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/


#ifndef SYSCONFIGFILE_H
#define SYSCONFIGFILE_H

#include "configfile.h"

/**
  *@author Anton Safonov (Maddy)
  */

class SysConfigFile : public ConfigFile {
public:
    SysConfigFile(const char *root, const char *path )
    : ConfigFile( root, path ) {};

    void set(const char *var, const char *value, bool withQuotation = true );
		bool get(const char *var, char* value, int bufsize, char SepChar = '=');
};

#endif
