/***************************************************************************
                          windowsconfig.h  -  description                              
                             -------------------                                         
    begin                : Thu Jan 11 2001                                           
    copyright            : (C) 2001 SOT Finnish Software Engineering Ltd. 
    author		 : Sergei Bednoi
    author email         : sb@bestlinux.net
    url			 : http://www.bestlinux.net                          
    email		 : linux@bestlinux.net                              

	       	      Best Linux - Linux from Finland.                      
                            http://bestlinux.net                            

 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/



#ifndef WINDOWSCONFIG_H
#define WINDOWSCONFIG_H

#include <qstring.h>

#include "ini_file.h"
#include "splitstring.h"
#include "network.h"
#include "lmonitor.h"
#include "lmodemdata.h"
#include "lmodemdb.h"
#include "modem.h"
#include "isppage.h"
#include "printercfg.h"

class PrinterCfg;

class WindowsConfig {
public: 
	WindowsConfig();
	WindowsConfig(char* szFileName);
	~WindowsConfig();
	
	void setConfigFileName(char* szFileName);
	bool getNetworkSettings(Netinfo* pNetInfo);
	QString getUserName();
	bool getMonitorSettings(LMonitor* pMonitor);
	bool getModemSettings(Modem* pModem);
  void getISPEntrys(ISPPage* pISPPage);
  /**  */
  bool getPrinterSettings(PrinterCfg* pPrinter);

private: // Private attributes
	QString sConfigFileName;
	IniFile			Ini;
};
#endif
