/***************************************************************************
                             diskorpartitionitem.h
                             -------------------                                         
    begin                : Mon Dec 20 1999                                           
    copyright            : (C) 2000 SOT Finnish Software Engineering Ltd. 
    author		           : Anton Safonov (Maddy)
    author email         : as@bestlinux.net                                          
    url			             : http://www.bestlinux.net
    email		             : linux@bestlinux.net

	       	      Best Linux - Linux from Finland.                      
                            http://bestlinux.net                            

 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   * 
 *                                                                         *
 ***************************************************************************/

#ifndef DISKORPARTITIONITEM_H
#define DISKORPARTITIONITEM_H

#include "config.h"

#include <qlistview.h>

class DiskOrPartitionItem : public QListViewItem
{
public:
    DiskOrPartitionItem( QListView* parent);
    DiskOrPartitionItem( QListViewItem* parent);
    DiskOrPartitionItem( QListView* parent, QListViewItem* after );
    DiskOrPartitionItem( QListViewItem* parent, QListViewItem* after );
    ~DiskOrPartitionItem();

    virtual bool isDisk() { return FALSE; }
    bool isPartition() { return !isDisk(); }
};

#endif

